Docs
Profiles
PATCH
/profiles/{id}

Only the fields you send change. Setting isDefault moves the default flag from the previous default profile.

Requires profiles:write.

Authorization

bearerAuth
AuthorizationBearer <token>

API key starting with fh_

In: header

Path Parameters

id*string

Profile id

Match^prof_[0-9a-fA-F]{32}$

Header Parameters

Idempotency-Key?string

Any unique string up to 255 characters. A retry with the same key within 24 hours returns the first response instead of running again.

Lengthlength <= 255

Request Body

application/json

name?string
Length1 <= length <= 100
color?string
Match^#[0-9a-fA-F]{6}$
timezone?string

IANA time zone, e.g. Europe/Berlin

isDefault?boolean
queueEnabled?boolean
externalId?|

Your own id for this profile. null removes it

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://feedhorizon.com/api/v1/profiles/prof_0195f0a27b3c7d4e8f5a1b2c3d4e5f60" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": "prof_0195f0a27b3c7d4e8f5a1b2c3d4e5f60",
    "name": "string",
    "color": "string",
    "timezone": "string",
    "isDefault": true,
    "queueEnabled": true,
    "externalId": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}